| Home | Libraries | People | FAQ | More

###### array::array (11 of 11 overloads)

Constructor.

###### Synopsis

    array(
        std::initializer_list< value_ref > init,
        storage_ptr sp = {});

###### Description

The array is constructed with a copy of the values in the initializer-list in order, using the specified memory resource.

###### Complexity

Linear in `init.size()`.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Parameters

Name | Description
--- | ---
`init` | The initializer list to insert
`sp` | A pointer to the `memory_resource` to use. The container will acquire shared ownership of the memory resource.